## Class not_wf_exception

zeep::xml::not_wf_exception

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/parser.hpp>

    class not_wf_exception : public zeep::exception {
    public:
      // construct/copy/destruct
      not_wf_exception(const std::string &);
      ~not_wf_exception();
    };

## Description

If an not_wf_exception is thrown, it means the XML document is not well formed. Often this means syntax errors, missing < or > characters, non matching open and close tags, etc.

The what() member of the exception object will contain an explanation.

### `not_wf_exception` public construct/copy/destruct

1.     not_wf_exception(const std::string & msg);

2.     ~not_wf_exception();